Comment 44 for bug 545307

Just wanted to note that said patch works well with gentoo-sources-3.0.1